RDKit: RDInfoTheory::BitCorrMatGenerator Class Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | List of all members
RDInfoTheory::BitCorrMatGenerator Class Reference

`#include <CorrMatGenerator.h>`

## Public Member Functions
| BitCorrMatGenerator ()
| A class to generate a correlation matrix for a bunch of fingerprints.
| ~BitCorrMatGenerator ()
void | initGenerator ()
void | setBitIdList (const RDKit::INT_VECT &bitIdList)
| Set the list bits that we are interested in correlating.
int | getNumExamples () const
| get the number of examples we used so far to compute the correlation matrix
RDKit::INT_VECT | getCorrBitList () const
| Get the list of bits ID that are used to generate the correlation matrix.
double * | getCorrMat ()
| Gets a pointer to the correlation matrix.
void | collectVotes (const BitVect &fp)
| For each pair of on bits (bi, bj) in fp increase the correlation count for the pair by 1.

## Detailed Description

Definition at line 22 of file CorrMatGenerator.h.

## Constructor & Destructor Documentation

## ◆ BitCorrMatGenerator()

RDInfoTheory::BitCorrMatGenerator::BitCorrMatGenerator | ( |  | ) |
| inline

A class to generate a correlation matrix for a bunch of fingerprints.

The correlation matrix is done only for the bit IDs that are set by a call to the function setDescriptorIdList

cr = CorrMatGenerator(); cr.setDescriptorIdList(descList); for each fingerprint in list of fingerprints { cr.collectVotes(fingerprint); } double *corrMat = cr.getCorrMat()

The resulting correlation matrix is a one dimension matrix with only the lower triangle elements of the symmetric matrix

Definition at line 42 of file CorrMatGenerator.h.

References initGenerator().

## ◆ ~BitCorrMatGenerator()

RDInfoTheory::BitCorrMatGenerator::~BitCorrMatGenerator | ( |  | ) |
| inline

Definition at line 44 of file CorrMatGenerator.h.

## Member Function Documentation

## ◆ collectVotes()

void RDInfoTheory::BitCorrMatGenerator::collectVotes | ( | const BitVect & | fp | ) |
| inline

For each pair of on bits (bi, bj) in fp increase the correlation count for the pair by 1.

Definition at line 84 of file CorrMatGenerator.h.

References ExplicitBitVect::setBit().

## ◆ getCorrBitList()

RDKit::INT_VECT RDInfoTheory::BitCorrMatGenerator::getCorrBitList | ( |  | ) | const
| inline

Get the list of bits ID that are used to generate the correlation matrix.

Definition at line 76 of file CorrMatGenerator.h.

## ◆ getCorrMat()

double * RDInfoTheory::BitCorrMatGenerator::getCorrMat | ( |  | ) |
| inline

Gets a pointer to the correlation matrix.

Definition at line 79 of file CorrMatGenerator.h.

## ◆ getNumExamples()

int RDInfoTheory::BitCorrMatGenerator::getNumExamples | ( |  | ) | const
| inline

get the number of examples we used so far to compute the correlation matrix

Definition at line 72 of file CorrMatGenerator.h.

## ◆ initGenerator()

void RDInfoTheory::BitCorrMatGenerator::initGenerator | ( |  | ) |
| inline

Definition at line 46 of file CorrMatGenerator.h.

Referenced by BitCorrMatGenerator().

## ◆ setBitIdList()

void RDInfoTheory::BitCorrMatGenerator::setBitIdList | ( | const RDKit::INT_VECT & | bitIdList | ) |
| inline

Set the list bits that we are interested in correlating.

Parameters

  bitIdList | is a list of bit ids that need to be correlated e.g. a list top ranked ensemble of bits

Definition at line 58 of file CorrMatGenerator.h.

The documentation for this class was generated from the following file:

- CorrMatGenerator.h